Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-868

Deprecate Unusable Certificate Faces

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PUP 4.9.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Team:
      Agent
    • Story Points:
      1
    • Sprint:
      AP 2017-01-11, AP 2017-01-25
    • Release Notes:
      Deprecation
    • QA Risk Assessment:
      No Action
    • QA Risk Assessment Reason:
      Automation or infra changes not risk assessed

      Description

      The culprits:

      • ca
      • certificate_request
      • certificate_revocation_list

      These faces are generally unusable and confusing. We need to deprecate them and make it clear that the user is really just looking for the "cert" subcommand.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                andy Andrew Parker
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support